import React from 'react';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import { Auth, Login, Logout, NavBar, Overview } from './components';
import { AuthProvider } from './contexts';
import './App.css';

const App: React.FC = () => (
  <>
    <BrowserRouter>
      <AuthProvider>
        <NavBar />
        <Routes>
          <Route index element={<Login />} />
          <Route path='/auth' element={<Auth />} />
          <Route path='/overview' element={<Overview />} />
          <Route path='/logout' element={<Logout />} />
        </Routes>
      </AuthProvider>
    </BrowserRouter>
  </>
);

export default App;
